# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

- Initial project setup with modern Python packaging
- Core CLI commands: `fetch`, `reply`, and `resolve`
- Integration with GitHub CLI (`gh`) for API access
- JSON and pretty output formatting options
- Comprehensive test suite with pytest
- Pre-commit hooks for code quality
- GitHub Actions CI/CD pipeline
- Type hints and mypy type checking
- Documentation and README

### Security

- Secure authentication via GitHub CLI
- No token storage in the application

## [0.1.0] - 2024-01-XX

### Added

- First release of toady-cli
- Basic functionality for PR review management

[Unreleased]: https://github.com/tonyblank/toady-cli/compare/v0.1.0...HEAD
[0.1.0]: https://github.com/tonyblank/toady-cli/releases/tag/v0.1.0
